﻿
/* Estilos (CSS) generales para todos los formularios web de la aplicación -incluye Responsive-  */
/* (c)Sep-2023      INTELISOFT (R) */


.btnRedondeadoAzulNube1 {
    background-color: cornflowerblue; /* Color azul suave (tipo Nube) */
    border: none;
    color: white;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
}

/* Todos los botones con esta "class" tienen el mismo aspecto */

.btnGrabar {
    background-color: cornflowerblue;  /* Color azul suave (tipo Nube)    */
    border: none;
    color: white;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
}

/* .btnRedondeadoAzulNube1 */

.btnRedondeadoGrisNube1 {
    background-color: dimgray; /* Color azul suave (tipo Nube) */
    border: none;
    color: white;
    padding: 10px;          /* era 20px pero quedaba muy alto */
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
    width: auto;
}
/* .btnRedondeadoGrisNube1 */

.btnSalir {
    background-color: dimgray; /* Color azul suave (tipo Nube) */
    border: none;
    color: white;
    padding: 10px; /* era 20px pero quedaba muy alto */
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
    width: auto;
}


.btnRedondeadoVerdeNube1 {
    background-color: green; /* Color azul suave (tipo Nube) */
    border: none;
    color: white;
    padding: 10px; /* era 20px pero quedaba muy alto */
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
    width: auto;
   
}
/* .btnRedondeadoGrisNube1 */


.btnRedondeadoRojoNube1 {
    background-color: firebrick; /* Color azul suave (tipo Nube) */
    border: none;
    color: white;
    padding: 10px; /* era 20px pero quedaba muy alto */
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
    width: auto;
}
/* .btnRedondeadoGrisNube1 */


.btnRedondeadoNaranjoNube1 {
    background-color: orangered; /* Color azul suave (tipo Nube) */
    border: none;
    color: white;
    padding: 10px; /* era 20px pero quedaba muy alto */
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
    width: auto;
}



/* .btnRedondeadoGrisNube1 */

.lblTituloVentana {
    font-family: Calibri;
    background-color: cornsilk;
    
    text-align: center;
}
   

/* Extra styles for the cancel button */

.cancelbtn {
    width: auto;
    padding: 10px 18px;
    background-color: grey;
}

.container {
    padding: 40px; /* 40px */
}

.Redondeo1 {
    border-radius: 10px;         /* 8px */
}

.Redondeo2 {
    border-radius: 20px;        /* Más redondeo */
}

.Centrado {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

/* Div's que se usan como contenedor principal de la pantalla */

.divContenedorPrincipal {
    float: left;
    border: none;
    width: 100%;             /* 90% para dejar un espacio al lado derecho, responsive */

}


/* Para formularios "Vistas" de registros           */
/* Aplica mismos estilos para Botónes: "Buscar", "Nuevo", "Imprimir", "Exp. Excel" para mostrar registros */

.btnBuscar, .btnNuevo, .btnImprimir {
    display: normal;
    background-color: cornflowerblue; /* Color azul suave (tipo Nube) */
    border: none;
    color: white;
    padding: 0px; /* Para que el texto del botón se ajuste "center" vertical y horizontal */
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-family: Calibri;
    font-size: 15px;
    cursor: pointer;
    width: 80px;
    height: 40px;
    border-radius: 10px; /* -Redondeo 8px */

    position: relative;
}

/* Botón Exportar: A Excel, etc, en color verde suave (para diferenciar de otros botones de consultas) */

.btnExpExcel {
    display: normal;
    background-color: darkgreen; /* Color verde (ad hoc con Excel) */
    border: none;
    color: white;
    padding: 0px; /* Para que el texto del botón se ajuste "center" vertical y horizontal */
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-family: Calibri;
    font-size: 15px;
    cursor: pointer;
    width: 80px;
    height: 40px;
    border-radius: 10px; /* -Redondeo 8px */

    position: relative;
}


.btnEliminar {
    display: normal;
    background-color: orangered; /* Color narajo-rojizo, ya que Eliminar debe ir destacado */
    border: none;
    color: white;
    padding: 0px; /* Para que el texto del botón se ajuste "center" vertical y horizontal */
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
    width: 80px;
    height: 40px;
    border-radius: 10px; /* Redondeo */

    position: relative;
}







